
QGIS Application - Bug report #2998

QgisMapServer not rendering grouped layers

2010-09-13 07:23 AM - yellow -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13058

Description

Project contains a grouped layers, and non grouped layers.

In the query parameter LAYER=!_ (not specify any layers).

Ungrouped layers rendering properly. Grouped layers are not rendering.

Note:

If grouped layers is explicitly specified in the parameter LAERS, they rendered.

History

#1 - 2010-09-17 01:54 PM - Marco Hugentobler

Could you describe your group - layer layout in more detail? I tried to reproduce with a simple constellation with one ungrouped layer and 2 grouped layers,

but it worked for me:

-ungrouped layer 1

Group

-groupedLayer1

-groupedLayer2

Maybe the bug only happens with more complex constellation?

#2 - 2010-09-17 02:07 PM - Marco Hugentobler

ah, I see it does not work for the toplevel (=project) group.

#3 - 2011-01-14 02:55 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

this bug was fixed some time ago
